/** @typedef {typeof __propDef.props}  BatteryProps */
/** @typedef {typeof __propDef.events}  BatteryEvents */
/** @typedef {typeof __propDef.slots}  BatterySlots */
export default class Battery extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type BatteryProps = typeof __propDef.props;
export type BatteryEvents = typeof __propDef.events;
export type BatterySlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
