/** @typedef {typeof __propDef.props}  GamepadProps */
/** @typedef {typeof __propDef.events}  GamepadEvents */
/** @typedef {typeof __propDef.slots}  GamepadSlots */
export default class Gamepad extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type GamepadProps = typeof __propDef.props;
export type GamepadEvents = typeof __propDef.events;
export type GamepadSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
