/** @typedef {typeof __propDef.props}  LandmarkProps */
/** @typedef {typeof __propDef.events}  LandmarkEvents */
/** @typedef {typeof __propDef.slots}  LandmarkSlots */
export default class Landmark extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type LandmarkProps = typeof __propDef.props;
export type LandmarkEvents = typeof __propDef.events;
export type LandmarkSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
