/** @typedef {typeof __propDef.props}  MountainProps */
/** @typedef {typeof __propDef.events}  MountainEvents */
/** @typedef {typeof __propDef.slots}  MountainSlots */
export default class Mountain extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type MountainProps = typeof __propDef.props;
export type MountainEvents = typeof __propDef.events;
export type MountainSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
