/** @typedef {typeof __propDef.props}  PodcastProps */
/** @typedef {typeof __propDef.events}  PodcastEvents */
/** @typedef {typeof __propDef.slots}  PodcastSlots */
export default class Podcast extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type PodcastProps = typeof __propDef.props;
export type PodcastEvents = typeof __propDef.events;
export type PodcastSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
