/** @typedef {typeof __propDef.props}  ShoppingCartProps */
/** @typedef {typeof __propDef.events}  ShoppingCartEvents */
/** @typedef {typeof __propDef.slots}  ShoppingCartSlots */
export default class ShoppingCart extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type ShoppingCartProps = typeof __propDef.props;
export type ShoppingCartEvents = typeof __propDef.events;
export type ShoppingCartSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
