/** @typedef {typeof __propDef.props}  SmartphoneProps */
/** @typedef {typeof __propDef.events}  SmartphoneEvents */
/** @typedef {typeof __propDef.slots}  SmartphoneSlots */
export default class Smartphone extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type SmartphoneProps = typeof __propDef.props;
export type SmartphoneEvents = typeof __propDef.events;
export type SmartphoneSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
