/** @typedef {typeof __propDef.props}  SpeakerProps */
/** @typedef {typeof __propDef.events}  SpeakerEvents */
/** @typedef {typeof __propDef.slots}  SpeakerSlots */
export default class Speaker extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type SpeakerProps = typeof __propDef.props;
export type SpeakerEvents = typeof __propDef.events;
export type SpeakerSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
