/** @typedef {typeof __propDef.props}  TwitchProps */
/** @typedef {typeof __propDef.events}  TwitchEvents */
/** @typedef {typeof __propDef.slots}  TwitchSlots */
export default class Twitch extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type TwitchProps = typeof __propDef.props;
export type TwitchEvents = typeof __propDef.events;
export type TwitchSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
