/** @typedef {typeof __propDef.props}  BookProps */
/** @typedef {typeof __propDef.events}  BookEvents */
/** @typedef {typeof __propDef.slots}  BookSlots */
export default class Book extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type BookProps = typeof __propDef.props;
export type BookEvents = typeof __propDef.events;
export type BookSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
