/** @typedef {typeof __propDef.props}  BuildingProps */
/** @typedef {typeof __propDef.events}  BuildingEvents */
/** @typedef {typeof __propDef.slots}  BuildingSlots */
export default class Building extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type BuildingProps = typeof __propDef.props;
export type BuildingEvents = typeof __propDef.events;
export type BuildingSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
