/** @typedef {typeof __propDef.props}  CarProps */
/** @typedef {typeof __propDef.events}  CarEvents */
/** @typedef {typeof __propDef.slots}  CarSlots */
export default class Car extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type CarProps = typeof __propDef.props;
export type CarEvents = typeof __propDef.events;
export type CarSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
