/** @typedef {typeof __propDef.props}  CoffeeProps */
/** @typedef {typeof __propDef.events}  CoffeeEvents */
/** @typedef {typeof __propDef.slots}  CoffeeSlots */
export default class Coffee extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type CoffeeProps = typeof __propDef.props;
export type CoffeeEvents = typeof __propDef.events;
export type CoffeeSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
