/** @typedef {typeof __propDef.props}  SheetProps */
/** @typedef {typeof __propDef.events}  SheetEvents */
/** @typedef {typeof __propDef.slots}  SheetSlots */
export default class Sheet extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type SheetProps = typeof __propDef.props;
export type SheetEvents = typeof __propDef.events;
export type SheetSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
