/** @typedef {typeof __propDef.props}  ThermometerProps */
/** @typedef {typeof __propDef.events}  ThermometerEvents */
/** @typedef {typeof __propDef.slots}  ThermometerSlots */
export default class Thermometer extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type ThermometerProps = typeof __propDef.props;
export type ThermometerEvents = typeof __propDef.events;
export type ThermometerSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
