/** @typedef {typeof __propDef.props}  VolumeProps */
/** @typedef {typeof __propDef.events}  VolumeEvents */
/** @typedef {typeof __propDef.slots}  VolumeSlots */
export default class Volume extends SvelteComponentTyped<{
    size?: string;
    color?: string;
    strokeWidth?: string;
    class?: string;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type VolumeProps = typeof __propDef.props;
export type VolumeEvents = typeof __propDef.events;
export type VolumeSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        size?: string;
        color?: string;
        strokeWidth?: string;
        class?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
